from pandac.PandaModules import * 
import direct.directbase.DirectStart
from direct.showbase.DirectObject import DirectObject

class LoaderMap(DirectObject):
    def __init__(self):
    
        self.node = GeomNode('gnode')
        
        self.gvd = GeomVertexData('name', GeomVertexFormat.getV3t2(), Geom.UHStatic)    
        self.geom = Geom(self.gvd)
        
        self.prim = GeomTriangles(Geom.UHStatic)

        self.accept('g',self.add_vert)
        
        self.x = 0
        self.y = 0
        
        self.accept('x',self.x1)
        self.accept('y',self.y1)
        self.accept('q',self.vert)
        
        self.Vert0 = 0
        self.Vert1 = 1
        self.Vert2 = 2
        self.Vert3 = 3
        self.Vert4 = 2
        self.Vert5 = 1
    
    def vert(self):
        self.Vert0+1
        self.Vert1+1
        self.Vert2+1
        self.Vert3+1
        self.Vert4+1
        self.Vert5+1
        
    def x1(self):
        self.x +=1
        print 'x = '+str(self.x)
    def y1(self):
        self.y +=1
        print 'y = '+str(self.y)
        
    def add_vert(self):
    
        self.vertex = GeomVertexWriter(self.gvd, 'vertex')
        self.texcoord = GeomVertexWriter(self.gvd, 'texcoord')
        
        self.vertex.addData3f(self.x-0.5, self.y+0.5, 0) # vertex0
        self.texcoord.addData2f(0, 0) # UV
    
        self.vertex.addData3f(self.x-0.5, self.y-0.5, 0) #vertex1
        self.texcoord.addData2f(0, 1) # UV
    
        self.vertex.addData3f(self.x+0.5, self.y+0.5, 0) #vertex2
        self.texcoord.addData2f(1, 1)# UV
    
        self.vertex.addData3f(self.x+0.5, self.y-0.5, 0) #vertex3
        self.texcoord.addData2f(1, 0) # UV
        
        self.prim.addVertices(self.Vert0, self.Vert1, self.Vert2, self.Vert3)
        self.prim.addVertices(self.Vert4, self.Vert5)
        
        self.prim.closePrimitive()
        self.geom.addPrimitive(self.prim)
        self.node.addGeom(self.geom)

        terrain = render.attachNewNode(self.node)
        terrain.setRenderModeWireframe()    
        #terrain.analyze()
        
LoaderMap()
run()